{% extends "base.html" %}
{% from "_formhelpers.html" import render_article_textarea_field %}
{% from "_formhelpers.html" import render_article_image_field %}
{% block content %}
    <h1>THERE IS {{ name }} PROFILE PAGE </h1>
    <div class="column is-4 is-offset-4">

        <h3 class="title">Create post</h3>

        <div class="box">

            <form method="POST" enctype=multipart/form-data action="/profile" name="form">

                {{ form.csrf_token }}

                <div class="field">
                    {{ render_article_textarea_field(form.content) }}
                </div>

                <div class="field">
                    {{ render_article_image_field(form.image) }}
                </div>

                <button class="button is-block is-info is-large is-fullwidth">Crate post</button>
            </form>
        </div>

    </div>
    {% for post in userpost %}
        <div class="column is-4 is-offset-4">
            <div class="box">

                <div>{{ post.content }}</div>
                <div>
                    <img src="/{{ post.imageUrl }}" width="250" height="300">
                </div>
                <tr>
                    <td>
                        <button href="/edit_post/{{ post.id }}" class="btn btn-default pull-right">Edit</button>
                    </td>
                    <td>
                        <form action="{{ url_for('main.delete_post', id=post.id) }}" method="post">
                            <input type="hidden" name="_method" value="DELETE">
                            <input type="submit" value="Delete" class="btn btn-danger">
                        </form>


            </div>
        </div>
    {% endfor %}
    {% for post in share_post_info %}
        <div class="column is-4 is-offset-4">
            <div class="box">
                <div class="box">
                    <div>{{ post.User.name }}</div>
                    <div>{{ post.User.surname }}</div>
                </div>
                <div>{{ post.Share_post.content }}</div>
                <button id="Unshare_Post{{ post.Share_post.post_id }}" class="btn btn-danger"
                        onclick="UnsharePost({{ post.Share_post.post_id }})">unshare
                </button>


            </div>
        </div>
    {% endfor %}


{% endblock %}